![E.ON EBC RWTH Aachen University](./doc/_static/EBC_Logo.jpg)

# NOODEL - 33 NOde COmfort MoDEL

[![License](http://img.shields.io/:license-mit-blue.svg)](http://doge.mit-license.org)

NOODEL (33 Node Comfort Model) consists of a thermo-physiological human body
model and a psychological model for predict-ing thermal sensation and comfort
derived from the physiological state of the body.
NOODEL allows the analysis of thermal comfort within different indoor
environments. The model was developed using literature data and own test person experiments
in mixed and displacement ventilation systems. The test cases represent only a part of
interior situations. Validation cases show a good agreement between calculated and experimental
data for temperature drifts and temperature jumps at medium temperature levels. For more complex
interior situations, no conclusive statement on the quality of the model can be made with the
current data sets. However, the model is continuously extended by new experimental data.

NOODEL is being developed at the
[RWTH Aachen University, E.ON Energy Research Center, Institute for Energy
Efficient Buildings and Indoor
Climate](https://www.ebc.eonerc.rwth-aachen.de/cms/~dmzz/E-ON-ERC-EBC/?lidx=1).

The full documentation of NOODEL including valication cases can be taken
from the handbook. 

This GitHub page will be used to further develop the package and make it
available under the
[MIT License](https://github.com/RWTH-EBC/NOODEL/blob/master/License).

If you have any questions regarding NOODEL feel free to contact us at
[ebc-noodel@eonerc.rwth-aachen.de](mailto:ebc-noodel@eonerc.rwth-aachen.de).

---

## Updates

---

## Description

A full description of NOODEL will be available from publication which are
under review.


## Version

NOODEL is an ongoing research project, the current version is 0.1, which is still a pre-release.

## How to use NOODEL

Have a look at the handbook.

### Dependencies

NOODEL is tested against dymola 2018.

### How to contribute to the development of NOODEL
You are invited to contribute to the development of NOODEL. You may report any issues by using the [Issues](https://github.com/RWTH-EBC/NOODEL/issues) button.


## How to cite NOODEL

+ NOODEL - 33 Knoten Komfortmodell. Streblow R., Müller D.. GI - Gebäudetechnik in Wissenschaft & Praxis
under review

### NOODEL related publications


+ Thermal sensation and comfort model for inhomogeneous indoor environments. Streblow R..
PhD RWTH Aachen University, 2011
[pdf](hhttp://publications.rwth-aachen.de/record/63990/files/3561.pdf)


## License

NOODEL is released by RWTH Aachen University, E.ON Energy
Research Center, Institute for Energy Efficient Buildings and Indoor Climate,
under the
[MIT License](https://github.com/RWTH-EBC/noodel/blob/master/License).

## Acknowledgements

This  work  was  supported  by  the  Heinz Trox Wissenschafts gGmbH. The development of the base model was supported by Airbus Operations GmbH.
